## /run/particle/

Commands for G4VUserPhysicsList.

## Sub-directories :

## Commands :

verbose [level]

  Set the Verbose level of G4VUserPhysicsList.
  0 : Silent (default)
  1 : Display warning messages
  2 : Display more

  Range : level >=0 && level <=3

  Available at all Geant4 states.

  Parameters

  level | type i | Omittable : default value = 0 |

setCut [cut] [Unit]

  Set default cut value
  This command is equivallent to /run/setCut command.
  This command is kept for backward compatibility.

  Range : cut >0.0

  Available Geant4 state(s) : PreInit Idle

  Parameters

  cut | type d |  |
  Unit | type s | Omittable : default value = mm | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

dumpList

  Dump List of particles in G4VUserPhysicsList.

  Available at all Geant4 states.

addProcManager [particleType]

  add process manager to specified particle type

  Available Geant4 state(s) : Init Idle GeomClosed EventProc

  Parameters

  particleType | type s | Omittable : default value = |

buildPhysicsTable [particleType]

  build physics table of specified particle type

  Available Geant4 state(s) : Init Idle GeomClosed EventProc

  Parameters

  particleType | type s | Omittable : default value = |

storePhysicsTable [dirName]

  Store Physics Table
  Enter directory name

  Available Geant4 state(s) : Idle

  Parameters

  dirName | type s | Omittable : default value = |

retrievePhysicsTable [dirName]

  Retrieve Physics Table
  Enter directory name or OFF to switch off

  Available Geant4 state(s) : PreInit Idle

  Parameters

  dirName | type s | Omittable : default value = |

setStoredInAscii [ascii]

  Switch on/off ascii mode in store/retreive Physics Table
  Enter 0(binary) or 1(ascii)

  Range : ascii ==0 || ascii ==1

  Available Geant4 state(s) : PreInit Idle

  Parameters

  ascii | type i | Omittable : default value = 0 |

applyCuts [Flag] [Particle]

  Set applyCuts flag for a particle.
  Some EM processes which do not have infrared divergence
  may generate gamma, e- and/or e+ with kinetic energies
  below the production threshold. By setting this flag,
  such secondaries below threshold are eliminated and
  kinetic energies of such secondaries are accumulated
  to the energy deposition of their mother.
  Note that 'applyCuts' makes sense only for gamma,
  e- and e+. If this command is issued for other particle,
  a warning message is displayed and the command is
  ignored.
  If particle name is 'all', this command affects on
  gamma, e- and e+.

  Available Geant4 state(s) : PreInit Init Idle

  Parameters

  Flag | type s | Omittable : default value = true |
  Particle | type s | Omittable : default value = all |

dumpCutValues [particle]

  Dump a list of production threshold values in range and energy
  for all registered material-cuts-couples.
  Dumping a list takes place when you issue 'beamOn' and
  actual conversion tables from range to energy are available.
  If you want a list 'immediately', use '/run/dumpRegion' for threshold
  list given in gange only. Also, '/run/dumpCouples' gives you the
  current list if you have already issued 'run/beamOn' at least once.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  particle | type s | Omittable : default value = all |